toolzerhub API Docs

Get home feed

Get RedNote home-feed recommendations.

15 credits / requestBilled only on success
GET
/v2/rednote/feed/home

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string

Opaque continuation cursor from a previous response.

page_size?integer
Range1 <= value <= 40
Default20
category?string
Default"recommended"
content_type?string

Post types to return: all for a mixed feed, image for image and text posts only.

Default"all"

Value in

  • "all"
  • "image"
include_images?true
Deprecated

Deprecated. Use content_type to select all posts or image and text posts. Only true is supported.

Value in

  • true
curl -X GET "https://example.com/v2/rednote/feed/home" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "items": [      {        "id": "post_123"      }    ],    "next_cursor": "eyJjdXJzb3Jfc2NvcmUiOiIxIn0"  }}